summarylogtreecommitdiffstats
path: root/remoteit-desktop-bin.install
diff options
context:
space:
mode:
Diffstat (limited to 'remoteit-desktop-bin.install')
-rw-r--r--remoteit-desktop-bin.install25
1 files changed, 25 insertions, 0 deletions
diff --git a/remoteit-desktop-bin.install b/remoteit-desktop-bin.install
new file mode 100644
index 000000000000..59845c46de04
--- /dev/null
+++ b/remoteit-desktop-bin.install
@@ -0,0 +1,25 @@
+post_install() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Link to the binary
+ ln -sf '/opt/remoteit/remoteit' '/usr/bin/remoteit'
+
+ # SUID chrome-sandbox for Electron 5+
+ chmod 4755 '/opt/remoteit/chrome-sandbox' || true
+
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Delete the link to the binary
+ rm -f '/usr/bin/remoteit'
+ update-desktop-database -q
+}